Backblaze B2
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Backblaze B2 action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Transfer to Backblaze B2",
"type": "BACKBLAZE_B2",
"input_type": "SCM_REPOSITORY",
"trigger_time": "ON_EVERY_EXECUTION",
"local_path": "/assets/",
"remote_path": "Home/www/",
"bucket_name": "buddy-tests",
"region": "us-east-005",
"cache_control": "max-age=3600",
"deletion_disabled": true,
"deployment_excludes": [
"/tmp/",
"*.log"
],
"deployment_includes": [
"/assets/style",
"/tmp/file.txt"
],
"integration": {
"identifier": "backblaze"
}
}'STATUS200 OK